“Écosystème ouvert”

[](https://github.com/pixelhumain/buildingCommons/blob/master/codeSocialOpenSystem.md#document-de-travail)[Document de travail](https://github.com/pixelhumain/buildingCommons/blob/master/codeSocialOpenSystem.md)

## Contexte général

Le monde connaît des bouleversements majeurs qui se traduisent sur les plans écologique, économique, énergétique, numérique, social,… et dont l'issue est, par essence, incertaine. Dans ce contexte, de nouvelles structures sociales émergent, basées sur une réorganisation complète des rapports sociaux et des fonctionnements structurels. A l'image d'un phénomène plus vaste que lui, l'écosystème s'inscrit dans ce mouvement, et chacun de ses membres est particulièrement lucide sur le rôle actif que nous pouvons et souhaitons jouer dans la transformation de la société. Notre réseau se veut être un des acteurs qui transforment la société en l'impactant pour qu'elle s’oriente naturellement vers un fonctionnement plus collaboratif et participatif par la mise en pratique concrète de notre intelligence collective. L'écosystème incarne ainsi un élan collectif de mise en commun et de création de communs comme nouveau modèle sociétal.

Pour la plupart des acteurs impliqués, l’idée d’écosystème s’inscrit dans une longue histoire aux racines profondes dont on peut trouver des traces sur le net (comme dans cette vidéo ou dans ce Github). Des affinités intellectuelles et amicales de longue date, des partages joyeux et complices, et des chemins parallèles sont venus nourrir un processus de gestation d’environ deux ans, au cours duquel une convergence a été tissée et a fait émerger la volonté de mettre en synergie les aventures individuelles.

La plupart des membres de l’écosystème se sont retrouvés en ligne échangeant sur des thématiques qu’ils avaient en commun, il en a émergé un espace de rencontre, de reliance et de co-création autour de thématiques et de projets liés à la transition.

Le présent code social entend donc initialement brosser les grandes lignes d’un projet destiné à grandir dans le temps et à s’opérationnaliser sous diverses formes correspondant à la créativité des individus qui composent l’écosystème. Aussi, nous considérons que les règles ne sont pas inscrites au coeur du commun, mais dans le coeur de chacun, pas à pas, au contact des autres et de l'action contributive, de manière à ce qu'elles soient édictées, intériorisées, adoptées, appropriées par chacun au fur et à mesure.

## Faisceau de qualités

### Les objectifs

L'écosystème est un laboratoire d'expérimentation de nouvelles relations sociales et entrepreneuriales fondées sur la réciprocité et la bienveillance comme fondements d'une autonomie distribuée et organisée. Il vise à (dé)montrer qu'un autre monde est possible non pas au nom d'une utopie dogmatique mais par une mise en actes permettant un constat pragmatique direct d'efficience, de robustesse et de pérennité emprunté notamment au biomimétisme.

Pour cela, les membres de l'écosystème se proposent de relever ensemble les défis suivants : augmenter notre efficience et avoir de l'impact grâce à la mutualisation proposer une vision incarnée des possibilités émancipatrices du numérique démontrer la pertinence sociale et économique d'une forme d'entreprenariat construit autour des communs créer les conditions d’un agir ensemble, sur les projets de chacun, répondre à des appels d'offres en commun, créer de nouveaux projets ensemble. proposer des prestations autour des communs, soutenir des communs, produire des communs essentiels au développement des communs en général mettre en oeuvre concrètement une interopérabilité sociale réelle, agile par les acteurs eux-mêmes et illustrée par le présent code social. oeuvrer à l’émergence d’un monde plus juste, plus soutenable, plus durable tout en utilisant la productivité du numérique.

L’un des objectifs de l’écosystème est de permettre une coopération forte entre les différents membres de l’écosystème. Nous concevons cet écosystème comme un espace de pleine confiance permettant à ses membres de s’ouvrir pleinement à la coopération.

A cette fin, nous expérimentons un certain nombre d’outils dont l’objectif est de permettre à cet écosystème :

-   De travailler ensemble efficacement
-   D’interagir de manière fluide (Système d’information ouvert)
-   De collaborer de manière agile et décentralisée (stigmergie, LEAN, AGILE)
-   De partager nos offres et opportunités (Catalogue contributif)
-   De répartir équitablement la valeur collectivement générée (Matrices de richesses, Revenu de base)
-   De mélanger nos offres pour innover en continu
-   De dépasser la rentabilité pour aller vers le plaisir, le partage et la créativité
-   De créer un système autonome et résilient à la crise économique (de la ZAD à la ZAN : Zone Autonome Numérique)
-   De développer l’intelligence collective au service de l’innovation et des bien communs
-   De ne jamais oublier les contextes déconnectés (solutions déconnectées)
-   De garder une place importante à la chance, par tirage au sort
-   Que toutes activités et l’innovation de l’écosystème passent par le partage et des décisions démocratique (par exemple sur Loomio)
-   D’innover par notre capacité d’ouverture et de partage

Rejoindre l’écosystème, c’est souscrire à l’idée qu’on peut créer ensemble un système libre, infiniment duplicable, plus intelligent et efficient, valorisant diverses techniques et technologies du moment pour éliminer les contraintes, réduire l'impact, remplacer les système pyramidaux et descendants par des organismes aux fonctionnements équilibrés, fluides, inversés et libres.

L’écosystème souhaite être une expérimentation à lui tout seul de ce que pourrait être une société 2.2.main. Les outils produits doivent l’être pour le plus grand nombre. Les règles et méthodologies doivent rester simples, intuitives, fortement éthiques et abordables à tous. On veillera donc à ce qu’elles soient souples, créatives, adaptées au contexte et établies collectivement pour faire en sorte qu’elles soient appliquées volontairement par les membres de l’écosystème, ainsi que le préconise Elinor Ostrom.

Dans le même esprit, les membres de l’écosystème s’engagent à veiller à une interopérabilité technique et sémantique, notamment en utilisant autant que possible du vocabulaire et un langage compréhensible par tous, tant au niveau des développements informatiques que des échanges humains.

## Les missions

### Missions internes

Produire un cadre, notamment à travers un code social, et créer les conditions de la collaboration entre les membres sur des logiques de mutualisation et de complémentarité ;

-   Mettre en œuvre un fonctionnement interne bienveillant et "permaculturel" : on s’adapte constamment aux particularités locales, aux contextes, aux collaborateurs...
-   Créer concrètement les conditions d'une interopérabilité humaine et technologique ;
-   Œuvrer à la mise en place d'un langage commun ;
-   Se former en pair à pair sur ce que nous faisons les uns les autres et permettre le développement de fertilisations croisées entre les acteurs et projets de l’écosystème ;
-   Proposer un catalogue d’offres en liens direct avec les valeurs de l’écosystème ;
-   Développer massivement des instances de l’ODB (Open Data Base), une base de données partagée et ouverte à la contribution. A l’image de Wikipedia, cette base de données est ouverte à la contribution et sécurisée, chacun choisit les limites d’ouverture de la donnée qu’il apporte ;
-   Modéliser le fonctionnement d’écosystèmes et d’organisations ouvertes ;
-   Créer un réseau de tiers lieux camps TIC, où n’importe qui peut découvrir un membre de l’écosystème, où l’écosystème peut * se réunir, où on peut rediffuser et partager une activité d’un autre tiers lieux.

En créant ces conditions en interne, nous posons une base éthique et efficiente pour impulser un changement de société. Nous donnerons ainsi une assise aux missions externes par auto-légitimation ("c'est parce que ça a marché pour nous que nous transmettons cette expérience").

### Missions externes

La mission générique de l’écosystème est de mettre en œuvre la recherche, le développement, l’expérimentation, la documentation, et la diffusion autour de l'ingénierie des écosystèmes trans-organisationnels. Cette mission peut se décliner comme suit :

Accompagner les acteurs publics, privés et les citoyens dans leurs transitions (énergétique, écologique, démocratique, etc...) vers les communs ;

-   Offrir des opportunités aux entreprises, associations, collectivités, élus, citoyens, de s'impliquer en faveur des communs (outils, dynamique,...) et leur proposer des dispositifs de capacitation ;
-   Développer, distribuer, former sur les communs et les solutions libre et opensources
-   Partager les éléments de réussite et d'échec de l'expérience.

## Faisceau de valeurs

### Imaginaire, sources d'inspiration

Parce qu’il fait interagir une pluralité d’acteurs ayant chacun une histoire propre, l’écosystème se nourrit d’une diversité d’imaginaires, de sources d’inspiration, ce qui en fait sa richesse, sa spécificité. Parmi ses sources d’inspiration, nous pouvons notamment citer :

-   les notions d’autonomie, de liberté, de fraternité et de solidarité. Les pensées et dynamiques qui se sont développées autour de la démocratie directe, de la démocratie liquide, de la souveraineté ‒ qu’elle soit individuelle ou collective ‒ de la citoyenneté, de l’opengov.
-   Le monde de l’open-source ainsi que celui des communs dont on peut considérer qu’ils ont et sont en train de très concrètement changer le monde en permettant le développement de projets aussi beaux et fous que le web ou wikipedia.
-   Le peer to peer tel que défini par Michel Bauwens, la théorie des systèmes ‒ complexes ‒ qui ont permis un nouveau regard sur le monde, à travers les notions de combinatoire, d’auto-organisation, d’émergence,....
-   Le web sémantique, le W3C, le web qui ont consacré les notions de standards, d’interopérabilité, de neutralité.
-   Les nouvelles formes d’économie, collaboratives, circulaires, numériques, agiles, fablabs, DIY, DIWO, Hackerspaces, et celles émergentes qui, comme les DAO (Distributed Autonomous Organisations), permettent d’entrevoir des changements profonds à grande échelle quand à l’architecture du monde social.
-   Le vivant, qui pour beaucoup d’entre nous, constitue un objet d’intérêt, tant il est complexe, tant les milliards d’années qui ont conduit à sa physionomie et à sa dynamique actuelles sont riches d’enseignement dans tous les domaines (économie, politique, technique notamment - #biomimétisme) ; les penseurs de la complexité et des systèmes émergents, et notamment le romancier Arthur Koestler qui a proposé le concept de holon.
-   L’écologie et la permaculture qui à travers la profondeur de leurs questions et la pertinence de leurs réponses, nous donnent une raison de plus d’agir et d’espérer changer le monde.
-   Le jeu, l’élan vital, l’hédonisme, l’épicurisme, la joie, et toutes les choses de la vie qui procurent aux êtres sensibles que nous sommes, la sensation d’être vivant, heureux, insouciants, en forme, en harmonie avec soi, les autres et le monde.
-   La communication bienveillante, et de manière générale les bienfaits d’une meilleure connaissance de soi pour se donner la capacité de développer des relations sociales harmonieuses.

### Vivre ensemble c’est faire ensemble

Les relations humaines, que ce soit dans le cadre de l’écosystème ou vis-à-vis de l’extérieur, s’inscrivent dans une perspective de bienveillance, d’autonomie, de transparence, de réciprocité et d’ouverture à la reliance. L’écosystème souhaite offrir l’expérience d’un réel inter-être, où l’individualité de chacun est pleinement respectée.

Un écosystème commence par travailler ensemble pour créer des alternatives, des hackathons, des visions en communs. Le produits de ces créations seront la base commune de l’écosysteme. Sans co-construction il n’y a pas d’écosystème, juste de la consommation de l’écosystème. Ces actions communes donneront encore plus de richesse au collectif que celles déjà apportée indépendamment par chacun des acteurs.

## Faisceau de droits

### Type de structure

Non Lucratif, associatif et coopératif. Dès que deux acteurs de l’écosystème coopèrent, l’ensemble des pairs de l’écosystème doivent avoir connaissance de l’existence de ce projet pour nourrir l’envie, la motivation et l’engagement des autres membres. Une coopération est un exemple à suivre pour motiver d’autres coopérations.

### Modalités d’entrée

L’écosystème est une structure ouverte dans laquelle entre toute personne ou projet qui se reconnaît dans le présent code social. On entre dans un écosystème par un de ses nœud existants, c’est à dire que le résultat de l’interaction avec ce ou ces premiers nœuds permet d’interagir avec un ou plusieurs acteurs du système. Cet acte d’échange validé par un élément du système donne accès directement à la totalité de l’écosystème.

### Mode de gouvernance

Toutes idées, propositions, doivent se faire sur un système de décision collaboratif et communautaire ouvert tel que Loomio, avec pour objectif l’amélioration continue. Chaque acteur peut contribuer avec des idées et challenger l’écosystème. Il faut nourrir l’esprit créatif et concurrentiel à l’intérieur de l’écosystème pour sortir des sentiers battus et pour trouver un chemin ensemble. Les bons chemins d’hier ne le sont plus aujourd’hui et ceux d’aujourd’hui ne le seront plus pour longtemps. L’écosystème est mutant en fonction de son contexte, du temps et des pays.

## Faisceau de richesses

### Matrices de richesse

Les membres de l’écosystème ont conscience que les richesses échangées ne se limitent pas à l’argent. Les autres formes de richesses en circulation (temps, travail, gratitude, échanges humains,...) sont reconnues et valorisées.

### Types de licences

L’écosystème est dédié à la création de biens communs, open source, logiciel libre, open hard ware, open gouvernance… partagé par tous et transmis massivement. L’open source ne s’applique pas qu’aux solutions logicielles mais à toute création de l’esprit (matérielle et intellectuelle).

Le fonctionnement ouvert de la communauté est une condition de réussite, pour inspirer sur son chemin d’autres initiatives œuvrant pour les communs. C’est ce que font déjà un grand nombre de projets du Libre, ils se nourrissent les uns des autres et avancent avec très peu de contrainte.

On suivra la sagesse de Gandhi qui dit que tout ce qui n’est pas partagé sera perdu. Pour être efficients, élaborons en communauté de nouvelles licences à réciprocité, rétribuant tous les acteurs d’un processus, pour sortir d’un système fatigué, totalement individualiste et orienté vers la rentabilité.

L’objectif de l’écosystème est de créé un organisme vivant , plus riche que la somme de ses parties et vers lequel chaque partie peut se tourner pour s’inspirer, se ressourcer, se rassurer, se confronter, se reposer....
